#ifndef _DEEPIN_LICENSE_UTILS_H_
#define _DEEPIN_LICENSE_UTILS_H_

#define lic_emerg(fmt, ...)     printk(KERN_EMERG "deepin_license:   " fmt, ##__VA_ARGS__)
#define lic_alert(fmt, ...)     printk(KERN_ALERT "deepin_license:  " fmt, ##__VA_ARGS__)
#define lic_crit(fmt, ...)      printk(KERN_CRIT "deepin_license:  " fmt, ##__VA_ARGS__)
#define lic_err(fmt, ...)       printk(KERN_ERR "deepin_license:  " fmt, ##__VA_ARGS__)
#define lic_warning(fmt, ...)   printk(KERN_WARNING "deepin_license:  " fmt, ##__VA_ARGS__)
#define lic_notice(fmt, ...)    printk(KERN_NOTICE "deepin_license:  " fmt, ##__VA_ARGS__)
#define lic_info(fmt, ...)      printk(KERN_INFO "deepin_license:  " fmt, ##__VA_ARGS__)
#define lic_dbg(fmt, ...)       printk(KERN_DEBUG "deepin_license:  " fmt, ##__VA_ARGS__)

extern bool  signature_check(const u8* calc_sig, const u8* cmp_sig, size_t max_size);

extern void dump_bytes(char *header, const unsigned char *bytes, int size);

extern int license_check(void);

extern void print_string(char *string);

#endif //_DEEPIN_LICENSE_UTILS_H_
